Skip site navigation (1) Skip section navigation (2)

BUG #5960: No rule to make target 'libpq.a', needed by 'all-static-lib'

From: "Julia Jacobson" <julia(dot)jacobson(at)arcor(dot)de>
To: pgsql-bugs(at)postgresql(dot)org
Subject: BUG #5960: No rule to make target 'libpq.a', needed by 'all-static-lib'
Date: 2011-03-30 13:54:24
Message-ID: (view raw or whole thread)
Lists: pgsql-bugs
The following bug has been logged online:

Bug reference:      5960
Logged by:          Julia Jacobson
Email address:      julia(dot)jacobson(at)arcor(dot)de
PostgreSQL version: 8.4.6
Operating system:   Windows 7 with Msys/MinGW
Description:        No rule to make target 'libpq.a', needed by

Dear PostgreSQL developers,

When trying to compile PostgreSQL 8.4.6 on Windows 7 using MSys (MinGW) in
order to build a static version of libpq by the commands
./configure --without-zlib --disable-shared
the compilation process ends with the error message 
"No rule to make target 'libpq.a', needed by 'all-static-lib'".
This issue was already discussed here on the mailing list more than 6 years
ago and successfully fixed with a patch:
However, it seems to me like there is a similar problem in version 8.4.x.
Please corrected me if I'm wrong.



pgsql-bugs by date

Next:From: Lawrence CohanDate: 2011-03-30 15:00:57
Subject: Postgres not using indexes
Previous:From: Joshua TolleyDate: 2011-03-30 12:57:16
Subject: Re: BUG #5945: serial repetition Error!

Privacy Policy | About PostgreSQL
Copyright © 1996-2015 The PostgreSQL Global Development Group